"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.wsClient = exports.apolloClient = void 0;
const graphql_client_1 = require("vue-cli-plugin-apollo/graphql-client");
const AUTH_TOKEN = 'accessToken';
const httpEndpoint = process.env.VUE_APP_GRAPHQL_HTTP;
const wsEndpoint = process.env.VUE_APP_GRAPHQL_WS;
let apolloClient;
exports.apolloClient = apolloClient;
let wsClient;
exports.wsClient = wsClient;
if (httpEndpoint) {
    (_a = graphql_client_1.createApolloClient({
        httpEndpoint,
        ...(wsEndpoint ? {
            wsEndpoint,
        } : {}),
        websocketsOnly: false,
        tokenName: AUTH_TOKEN,
        connectToDevTools: process.env.NODE_ENV !== 'production',
        apollo: {
            defaultOptions: {
                watchQuery: {
                    fetchPolicy: 'no-cache',
                    errorPolicy: 'ignore',
                },
                query: {
                    fetchPolicy: 'no-cache',
                    errorPolicy: 'all',
                },
            }
        }
    }), exports.apolloClient = apolloClient = _a.apolloClient, exports.wsClient = wsClient = _a.wsClient);
    if (wsClient) {
        apolloClient.wsClient = wsClient;
    }
}
//# sourceMappingURL=apolloClient.js.map